Status: Closed

Priority: Normal

Assignee: Paul Blottiere

Category: Edit widget

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24802

Description

When the "Chain filter" option is activated, filtering combobox should only propose values for which a feature well exists.

However, it's not the case because previous filtering values are not taking into account. Thus, sometime, users are able to select values

whereas there's no existing feature(s) corresponding to the filter.

See the initial description/discussion here : https://github.com/qwat/QWAT/issues/186

Associated revisions

Revision 8642e888 - 2017-07-26 10:55 AM - Paul Blottiere

Fix relation reference widget when 'Chain Filters' is activated. Fixes #16903

Revision 1b9dea9e - 2017-07-26 11:57 AM - Hugo Mercier

Merge pull request #4904 from pblottiere/bugfix_chainfilter

Fixes relation reference widget when chain filter option is activated, fixes #16903

Revision 40ad8602 - 2017-08-17 09:54 AM - Paul Blottiere

Fix relation reference widget when 'Chain Filters' is activated. Fixes #16903

Revision 899a3cd8 - 2017-08-18 04:47 PM - Hugo Mercier

Merge pull request #4933 from pblottiere/bugfix_chainfilter_218

Fixes relation reference widget when chain filter option is activated, fixes #16903 (backport)

History

#1 - 2017-07-21 11:11 AM - Paul Blottiere

- Subject changed from Reference value widget not filtering available values when "Chain filters" option is activated to Relation reference widget not 

filtering available values when "Chain filters" option is activated

#2 - 2017-07-26 11:57 AM - Paul Blottiere
https://github.com/qwat/QWAT/issues/186


- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|8642e88867c5be212f49d73fd3f3f4ce96b0dc61.
